# SrtSlicer

按照 `srt` 文件把 mp3 / avi 切成片。

**注意**：需先安装 `ffmpeg`.

## Installation

Add this line to your application's Gemfile:

    gem 'srt_slicer'

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install srt_slicer

## Usage

`SrtSlicer::SrtSlicer.new(input_mp3, srt_file, start_time, end_time)`

`foo.slice` 开始处理。

`foo.clear` 清理切出的文件，用于发现处理错了的时候。

### 参数：

- `input_mp3`: 需要分割的 mp3 文件（或 avi）
- `srt_file`: srt 文件
- `start_time`: 开始的时间点（可选）
- `end_time`: 结束的时间点（可选）

## Contributing

1. Fork it
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create new Pull Request
